Tax Rates
Manage tax rates in VARIO Cloud, including country-specific rates, validity dates, tax types, creation, updates, activation, and deletion.
the tax rate of a country
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
Resource with given ID was not found
GET /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
Resource was not found
Resource was not valid to process
PUT /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
Resource was not found
Resource was not valid to process
PUT /erp/taxes/tax-rates/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
Resource was not found
Resource was not valid to process
PUT /erp/taxes/tax-rates/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
is this tax-rate active (selectable)
truethe country code for this tax-rate
the rate of this tax-rate
19the date, this entry is valid from
Resource was not valid to process
POST /erp/taxes/tax-rates HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
}Last updated
Was this helpful?